summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild10
-rw-r--r--multimedia/SimpleSysexxer/SimpleSysexxer.info4
-rw-r--r--multimedia/SimpleSysexxer/doinst.sh1
3 files changed, 8 insertions, 7 deletions
diff --git a/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild b/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
index 9d04075bd8..91115cdd85 100644
--- a/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
+++ b/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
@@ -4,7 +4,7 @@
PRGNAM=SimpleSysexxer
VERSION=${VERSION:-0.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -34,11 +34,13 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -52,8 +54,8 @@ qmake SimpleSysexxer.pro
make
# manual copy of translations
-mkdir -p $PKG/usr/shared/simplesysexxer/locale
-cp -p $TMP/$PRGNAM-$VERSION/binincludes/translations/*qm $PKG/usr/shared/simplesysexxer/locale/
+mkdir -p $PKG/usr/share/simplesysexxer/locale
+cp -p $TMP/$PRGNAM-$VERSION/binincludes/translations/*qm $PKG/usr/share/simplesysexxer/locale/
# INSTALL_ROOT for .desktop file and icons
make install DESTDIR=$PKG INSTALL_ROOT=$PKG
diff --git a/multimedia/SimpleSysexxer/SimpleSysexxer.info b/multimedia/SimpleSysexxer/SimpleSysexxer.info
index f8562563f3..fcd810d554 100644
--- a/multimedia/SimpleSysexxer/SimpleSysexxer.info
+++ b/multimedia/SimpleSysexxer/SimpleSysexxer.info
@@ -3,8 +3,8 @@ VERSION="0.3"
HOMEPAGE="http://www.christeck.de/wp/?page_id=24"
DOWNLOAD="http://downloads.sourceforge.net/project/sysexxer/SimpleSysexxer-0.3/SimpleSysexxer-0.3.tar.gz"
MD5SUM="59c1b91089bb15050e3a58aa602332db"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
+DOWNLOAD_x86_64="UNTESTED"
+MD5SUM_x86_64="UNTESTED"
MAINTAINER="Michales Michaloudes"
EMAIL="korgie@gmail.com"
APPROVED="Erik Hanson"
diff --git a/multimedia/SimpleSysexxer/doinst.sh b/multimedia/SimpleSysexxer/doinst.sh
index 9830478e8c..9424ce43ff 100644
--- a/multimedia/SimpleSysexxer/doinst.sh
+++ b/multimedia/SimpleSysexxer/doinst.sh
@@ -11,4 +11,3 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
-